Recarga automática
Listar regras de largura de banda
Todas as regras de Recarga automática de largura de banda da sua conta
GET
/
api
/
v1
/
bandwidth
/
auto-refill
Listar regras de largura de banda
curl --request GET \
--url https://api.example.com/api/v1/bandwidth/auto-refillimport requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/bandwidth/auto-refill")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": 123,
"target_address": "<string>",
"label": {},
"threshold_bandwidth": 123,
"add_volume": 123,
"duration": "<string>",
"status": "<string>",
"stopped_reason": {},
"consecutive_failures": 123,
"last_checked_at": {},
"last_available_bandwidth": {},
"last_read_error_at": {},
"last_refill_at": {},
"refill_count": 123,
"total_spent_trx": "<string>",
"created_at": "<string>",
"estimated_cost_per_refill_trx": {},
"volume_below_threshold": true
}
]
}Listar regras de largura de banda
Retorna todas as regras de Recarga automática de largura de banda da sua conta, das mais antigas para as mais recentes. Regras excluídas não são incluídas. Exige o escopoview.
Resposta
array
As suas regras de largura de banda.
Mostrar objeto de regra
Mostrar objeto de regra
number
ID da regra — use-o nos caminhos de edição e exclusão
string
O endereço que a regra mantém abastecido
string | null
O nome que você deu à regra
number
A regra compra quando a largura de banda disponível está abaixo deste valor
number
Largura de banda comprada por recarga
string
Duração do aluguel de cada recarga —
1h ou 1dstring
active, paused ou stopped_insufficient_balance — veja Status da regrastring | null
Por que a regra foi pausada ou parada:
insufficient_balance, order_failed, activation_failed ou invalid_params. null quando não há motivo.number
Recargas com falha seguidas. A regra é pausada quando este valor chega a 5; uma recarga bem-sucedida o redefine para 0.
string | null
Quando verificamos o endereço pela última vez (ISO 8601, UTC), com ou sem sucesso na leitura.
null antes da primeira verificação.number | null
Largura de banda disponível no endereço na última verificação bem-sucedida, incluindo a gratuita.
null antes da primeira leitura bem-sucedida.string | null
Quando uma verificação falhou pela última vez ao ler o endereço (ISO 8601, UTC).
null quando a última verificação teve sucesso. Enquanto estiver preenchido, last_available_bandwidth vem de uma verificação anterior e pode estar desatualizado. Uma verificação que não consegue ler o endereço não compra nada.string | null
Quando foi feita a última recarga.
null se ainda não houve nenhuma.number
Recargas bem-sucedidas desde a criação da regra
string
Total de TRX gasto nessas recargas
string
Quando a regra foi criada (ISO 8601, UTC)
string | null
Preço total de uma recarga para a sua conta pelos preços atuais, taxa fixa incluída. A ativação do endereço, quando necessária, é cobrada à parte.
null se o preço estiver temporariamente indisponível.boolean
true quando add_volume é menor que threshold_bandwidth. Nesse caso, uma recarga pode não levar o endereço acima do limiar, e a regra compra de novo após cada gasto — veja o aviso na visão geral.Exemplo
curl https://api.tronrental.com/v1/bandwidth/auto-refill \
-H "X-API-Key: your_api_key"
import requests
resp = requests.get(
"https://api.tronrental.com/v1/bandwidth/auto-refill",
headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto-refill", {
headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
Response
{
"rules": [
{
"id": 15,
"target_address": "TYourRecipientAddress1234567890abc",
"label": "Payouts",
"threshold_bandwidth": 1000,
"add_volume": 5000,
"duration": "1h",
"status": "active",
"stopped_reason": null,
"consecutive_failures": 0,
"last_checked_at": "2026-10-14T09:41:02Z",
"last_available_bandwidth": 3655,
"last_read_error_at": null,
"last_refill_at": "2026-10-14T09:12:30Z",
"refill_count": 4,
"total_spent_trx": "1.480000",
"created_at": "2026-10-14T08:15:00Z",
"estimated_cost_per_refill_trx": "0.370000",
"volume_below_threshold": false
}
]
}
Erros
| Status | Código | Quando |
|---|---|---|
403 | FORBIDDEN | A chave de API não tem o escopo view |
⌘I
Listar regras de largura de banda
curl --request GET \
--url https://api.example.com/api/v1/bandwidth/auto-refillimport requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/bandwidth/auto-refill")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": 123,
"target_address": "<string>",
"label": {},
"threshold_bandwidth": 123,
"add_volume": 123,
"duration": "<string>",
"status": "<string>",
"stopped_reason": {},
"consecutive_failures": 123,
"last_checked_at": {},
"last_available_bandwidth": {},
"last_read_error_at": {},
"last_refill_at": {},
"refill_count": 123,
"total_spent_trx": "<string>",
"created_at": "<string>",
"estimated_cost_per_refill_trx": {},
"volume_below_threshold": true
}
]
}